## Running the Application

1. Create a directory for the **cota** (Note: you can also use your test-runner directory): 
   ```bash
   mkdir ~/cota
   cp -R ~/dev/dtabackend/ifc/generic-proxy/ ~/cota
   ```

2. Set up the environment:
   ```bash
   sudo mkdir /tmp/dta-tests
   sudo chown root:docker /tmp/dta-tests
   export EGID=$(getent group docker | cut -d: -f3)
   cd ~/cota
   docker-compose up -d
   ```

3. Check if the containers are running successfully:
   ```bash
   docker container ls
   ```

---

## Application Setup

1. **Moodle Installation**:
   - Follow the Moodle documentation in the frontend repository: [Moodle DTA Docs](https://transfer.hft-stuttgart.de/gitlab/HFTSoftwareProject/moodledta).

2. **Testing**:
   - See the testing documentation in the backend repository: [Backend Test Docs](https://transfer.hft-stuttgart.de/gitlab/HFTSoftwareProject/dtabackend).

3. **View Logs**:
   ```bash
   docker logs -f <container_name>
   ```

4. **Stop Services**:
   ```bash
   docker-compose down
   ```

--- 